<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- param : patient = current patient for browsing the table -->
    <g:column>
        <ui:define name="header">#{messages['gazelle.ordermanager.Identifiers']}</ui:define>
        <rich:list value="#{patient.patientIdentifiers}" var="pid" type="unordered">
            <h:outputText value="#{pid.identifier} (#{pid.identifierTypeCode})"/>
        </rich:list>
    </g:column>
    <g:column filterBy="#{'firstName'}" sortBy="#{'firstName'}" filterEvent="onkeyup"
              filterValue="#{dataTableStateHolder.columnFilterValues['firstName']}">
        <ui:define name="header">#{messages['users.FirstName']}</ui:define>
        <h:outputText value="#{patient.firstName}"/>
        <h:outputText value=" (#{patient.alternateFirstName})" rendered="#{not empty patient.alternateFirstName}"/>
    </g:column>
    <g:column filterBy="#{'lastName'}" sortBy="#{'lastName'}" filterEvent="onkeyup"
              filterValue="#{dataTableStateHolder.columnFilterValues['lastName']}">
        <ui:define name="header">#{messages['users.LastName']}</ui:define>
        <h:outputText value="#{patient.lastName}"/>
        <h:outputText value=" (#{patient.alternateLastName})" rendered="#{not empty patient.alternateLastName}"/>
    </g:column>
    <g:column filterBy="#{'motherMaidenName'}" sortBy="#{'motherMaidenName'}" filterEvent="onkeyup"
              filterValue="#{dataTableStateHolder.columnFilterValues['motherMaidenName']}">
        <ui:define name="header">#{messages['gazelle.ordermanager.MothersMaidenName']}</ui:define>
        <h:outputText value="#{patient.motherMaidenName}"/>
        <h:outputText value=" (#{patient.alternateMothersMaidenName})"
                      rendered="#{not empty patient.alternateMothersMaidenName}"/>
    </g:column>
    <g:column filterBy="#{'genderCode'}" sortBy="#{'genderCode'}" filterEvent="onkeyup"
              filterValue="#{dataTableStateHolder.columnFilterValues['genderCode']}">
        <ui:define name="header">#{messages['gazelle.ordermanager.Gender']}</ui:define>
        <h:outputText value="#{patient.genderCode}"/>
    </g:column>
    <g:column filterBy="#{'countryCode'}" sortBy="#{'countryCode'}" filterEvent="onkeyup"
              filterValue="#{dataTableStateHolder.columnFilterValues['countryCode']}">
        <ui:define name="header">#{messages['gazelle.ordermanager.Country']}</ui:define>
        <h:outputText value="#{patient.countryCode}"/>
    </g:column>
    <g:column sortBy="#{'creationDate'}" sortOrder="#{dataTableStateHolder.sortOrders['creationDate']}">
        <ui:define name="header">#{messages['gazelle.ordermanager.CreationDate']}</ui:define>
        <g:date value="#{patient.creationDate}"/>
    </g:column>
    <g:column filterBy="#{'creator'}" sortBy="#{'creator'}" filterEvent="onkeyup"
              filterValue="#{dataTableStateHolder.columnFilterValues['creator']}">
        <ui:define name="header">#{messages['gazelle.ordermanager.Creator']}</ui:define>
        <h:outputText value="#{patient.creator}"/>
    </g:column>
</ui:composition>
